process.env.DISABLE_NOTIFIER = true;
var gulp = require('gulp');
var elixir = require('laravel-elixir');

/*
 |--------------------------------------------------------------------------
 | Elixir Asset Management
 |--------------------------------------------------------------------------
 |
 | Elixir provides a clean, fluent API for defining some basic Gulp tasks
 | for your Laravel application. By default, we are compiling the Sass
 | file for our application, as well as publishing vendor resources.
 |
 */

elixir(function(mix) {
    mix.scripts(
		[
			"jquery.min.js",
			"bootstrap.js",
			"bootstrap-datepicker.js",
			"mustache.js",
			"is.js",
			"app.js",
			"formatMoney.js",
			"gridlist.js",
			"commonmark.min.js",
			"jquery_ui.js"
		],
		"public/js/app.js"
	).scripts(
		[
			"zuna.js"
		],
		"public/js/home.js"
	).scripts(
		[
			"cloud-zoom.1.0.2.js",
			"zoomsl-3.0.js"
		],
		"public/js/zoom_product.js"
	).scripts(
		[
			"master/subcategory_list_edit.js"
		],
		"public/js/master/subcategory.js"
	).scripts(
		[
			"master/product_subcategory_dropdown.js",
			"master/product_productsize_render.js"
		],
		"public/js/master/product.js"
	).scripts(
		[
			"master/productsize_list_edit.js"
		],
		"public/js/master/productsize.js"
	).scripts(
		[
			"master/country_list_edit.js"
		],
		"public/js/master/country.js"
	).scripts(
		[
			"revision_order_item.js"
		],
		"public/js/order.js"
	).scripts(
		[
			"render_shipping_checkout.js"
		],
		"public/js/checkout.js"
	).scripts(
		[
			"CreateSelectableInput.js"
		],
		"public/js/CreateSelectableInput.js"
	).less(
		[
			"app.less",
			"jquery_ui.less"
		],
		"public/css/app.css"
	).less(
		[
			"style.less",
			"gridlist.less",
			"custom.less",
			"media-queries.less",
			"media-news.less"
		],
		"public/css/custom.css"
	).version(
		[
			"js/app.js",
			"js/home.js",
			"js/zoom_product.js",
			"js/master/subcategory.js",
			"js/master/product.js",
			"js/master/productsize.js",
			"js/master/country.js",
			"js/order.js",
			"js/checkout.js",
			"js/CreateSelectableInput.js",
			"css/app.css",
			"css/custom.css"
		],
		"public/build"
	).copy(
		"resources/fonts",
		"public/build/fonts"
	);
});
